*** SINTAXIS PARA EL CLCULO DE LOS ESTADSTICOS, TABULADOS E INDICADORES
*** DEL MDULO DE INFORMACIN AMBIENTAL EN AGRICULTURA DE LA ESPAC 2014.


* (0.1) CREACIN DE IDENTIFICADOR NICO DE ENCUESTA.
* ABRIR LA BASE DE DATOS DEL MDULO AMBIENTAL.

SORT CASES BY ual_prov ual_cant ual_parr ual_estr ual_segm al_ncues.

STRING identif (A17).
COMPUTE identif = CONCAT(LTRIM(RTRIM(ual_prov)), LTRIM(RTRIM(ual_cant)), LTRIM(RTRIM(ual_parr)), LTRIM(RTRIM(ual_estr)),
LTRIM(RTRIM(ual_segm)), LTRIM(RTRIM(al_ncues))).

SORT CASES BY identif.
COMPUTE id_unico = (LAG(identif) <> identif).
FREQUENCIES id_unico.

* (0.2) LLEVAR LA VARIABLE DE INSTRUCCIN (cg_k102) DESDE LA BASE DE CARACTERSTICAS GENERALES
* HASTA LA BASE DEL MDULO AMBIENTALES (PLAGUICIDAS).

DATASET NAME ambientales. /* Correr esta lnea despus de pasar el enfoque a la base de Ambientales.

* ABRIR BASE DE CARACTERSTICAS GENERALES, SIN CERRAR LA BASE DEL MDULO AMBIENTAL.
DATASET NAME caracteristicas. /* Correr esta lnea despus de pasar el enfoque a la base de Caractersticas Generales.

DATASET ACTIVATE ambientales.
COMPUTE ORIGINAL = 1. /* Variable indicadora de los registros originales en la base de Ambientales. til para fusin de bases.
SORT CASES BY identif.
DATASET ACTIVATE caracteristicas.
SORT CASES BY identif.

DATASET ACTIVATE ambientales.
MATCH FILES /FILE=*
  /FILE='caracteristicas'
  /RENAME (al_ncues anio_enc cg_beneficiario cg_codcor cg_factfinf cg_factfinf_prov cg_k100 cg_k101 
    cg_produpa cg_provcant cg_sup_carto cg_superficie cg_unidadmedida cod_encu ual_cant ual_estr 
    ual_parr ual_prov ual_segm = d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18) 
  /BY identif
  /DROP= d0 d1 d2 d3 d4 d5 d6 d7 d8 d9 d10 d11 d12 d13 d14 d15 d16 d17 d18.
EXECUTE.

FREQUENCIES cg_k102. /* Revisin de la variable transportada a la base de Ambientales.
SELECT IF (ORIGINAL = 1). /* Despus de la fusin, se mantienen nicamente los registros originales de la base de Ambientales.
EXECUTE.

SAVE OUTFILE='C:\ESPAC\PLAGUICIDAS 2015\ambnac2015.sav'
 /COMPRESSED.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (1) LMINA 9: SUPERFICIE AGROPECUARIA.

*** ABRIR BASE DE CULTIVOS PERMANENTES ***.

weight off.
filter off.
COMPUTE pastos_cultiv = (cp_clacul >= 751 & cp_clacul <= 780).
FREQUENCIES pastos_cultiv.

filter by pastos_cultiv.
WEIGHT by fact_exp_fin.

* En la parte SUMA de esta tabla aparece la suma de los pastos cultivados.
DESCRIPTIVES VARIABLES=cp_k409h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 2'617'012.2015 ha. de pastos cultivados, EN LA BASE DE CULTIVOS PERMANENTES.

weight off.
filter off.
COMPUTE cultiv_perm = (cp_clacul >= 400 & cp_clacul <= 499).
FREQUENCIES cultiv_perm.

filter by cultiv_perm.
WEIGHT by fact_exp_fin.

* En la parte SUMA de esta tabla aparece la suma de los cultivos permanentes.
DESCRIPTIVES VARIABLES=cp_k409h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 1'578'540.2579 ha. de cultivos permanentes.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS ***.

weight off.
filter off.
COMPUTE pastos_cultiv = (ct_clacul >= 751 & ct_clacul <= 780).
FREQUENCIES pastos_cultiv.

filter by pastos_cultiv.
WEIGHT by fact_exp_fin.

* En la parte SUMA de esta tabla aparece la suma de los pastos cultivados.
DESCRIPTIVES VARIABLES=ct_k510h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 0.0000 ha. de pastos cultivados, EN LA BASE DE CULTIVOS TRANSITORIOS.
*** En total, se obtuvo 2'617'012.2015 ha. + 0.0000 ha. = 2'617'012.2015 ha. de pastos cultivados.

weight off.
filter off.
COMPUTE cultiv_tran = (ct_clacul >= 500 & ct_clacul <= 599).
FREQUENCIES cultiv_tran.

use all.
filter by cultiv_tran.
WEIGHT by fact_exp_fin.

* En la parte SUMA de esta tabla aparece la suma de los cultivos transitorios.
DESCRIPTIVES VARIABLES=ct_k510h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

*** Se obtuvo 1'218'835.9908 ha. de cultivos transitorios.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (2) LMINA 10: SUPERFICIE PRODUCTIVA PERDIDA A NIVEL NACIONAL (ha).

*** ABRIR BASE DE CULTIVOS PERMANENTES ***.

filter off.
use all.
weight off.
split file off.

FREQUENCIES cp_nuevacondicion.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=cp_nuevacondicion cp_superdida DISPLAY=LABEL
  /TABLE cp_nuevacondicion [C] BY cp_superdida [S][SUM]
  /CATEGORIES VARIABLES=cp_nuevacondicion ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE PERDIDA POR CONDICIN DE CULTIVO (ha), PARA CULTIVOS PERMANENTES'  'NACIONAL'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS ***.

filter off.
use all.
weight off.
split file off.

FREQUENCIES ct_nuevacondicion.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ct_nuevacondicion ct_superdida DISPLAY=LABEL
  /TABLE ct_nuevacondicion [C] BY ct_superdida [S][SUM]
  /CATEGORIES VARIABLES=ct_nuevacondicion ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE PERDIDA POR CONDICIN DE CULTIVO (ha), PARA CULTIVOS TRANSITORIOS'  'NACIONAL'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (3) LMINA 11: PRINCIPALES AFECTACIONES A LA PRODUCCIN AGROPECUARIA.

*** ABRIR BASE DE CULTIVOS PERMANENTES ***.

filter off.
use all.
weight off.
split file off.

FREQUENCIES cp_nuevacondicion.

RECODE ct_k412 (0 = SYSMIS) (ELSE = COPY) INTO ct_k412r.

VALUE LABELS cp_k412r
1'Sequas'
2'Heladas'
3'Plagas'
4'Enfermedades'
5'Inundaciones'
6'Otras razones'.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=cp_nuevacondicion cp_k412r cp_superdida DISPLAY=LABEL
  /TABLE cp_nuevacondicion BY cp_k412r > cp_superdida [SUM]
  /CATEGORIES VARIABLES=cp_nuevacondicion ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=cp_k412r ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE PERDIDA POR DIFERENTES CAUSAS (ha), SEGN CULTIVOS PERMANENTES'  'NACIONAL'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS ***.

filter off.
use all.
weight off.
split file off.

FREQUENCIES ct_nuevacondicion.

RECODE ct_k512 (0 = SYSMIS) (ELSE = COPY) INTO ct_k512r.

VALUE LABELS ct_k512r
1'Sequas'
2'Heladas'
3'Plagas'
4'Enfermedades'
5'Inundaciones'
6'Otras razones'.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ct_nuevacondicion ct_k512r ct_superdida DISPLAY=LABEL
  /TABLE ct_nuevacondicion BY ct_k512r > ct_superdida [SUM]
  /CATEGORIES VARIABLES=ct_nuevacondicion ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=ct_k512r ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE PERDIDA POR DIFERENTES CAUSAS (ha), SEGN CULTIVOS PERMANENTES'  'NACIONAL'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (4) LMINA 12: USO DE SEMILLA COMN Y NATIVA.

*** ABRIR BASE DE CULTIVOS PERMANENTES ***.

RECODE cp_k408 (0 = SYSMIS) (ELSE = COPY) INTO cp_k408r.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=cp_nuevacondicion cp_k408r cp_k409h DISPLAY=LABEL
  /TABLE cp_nuevacondicion [C] BY cp_k408r > cp_k409h [SUM]
  /CATEGORIES VARIABLES=cp_nuevacondicion cp_k408r ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE PLANTADA POR CONDICIN DE CULTIVO (ha), SEGN TIPO DE SEMILLA DE MS USO'  'C. PERMANENTES'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

FILTER OFF.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS ***.

RECODE ct_k506 (0 = SYSMIS) (ELSE = COPY) INTO ct_k506r.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ct_nuevacondicion ct_k506r ct_k510h DISPLAY=LABEL
  /TABLE ct_nuevacondicion [C] BY ct_k506r > ct_k510h [SUM]
  /CATEGORIES VARIABLES=ct_nuevacondicion ct_k506r ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE SEMBRADA POR CONDICIN DE CULTIVO (ha), SEGN TIPO DE SEMILLA DE MS USO'  'C. TRANSITORIOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

FILTER OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (5) LMINA 13: SUPERFICIE (ha) DONDE SE PRACTICA LA ROTACIN DE CULTIVOS.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS ***.

FILTER OFF.
USE ALL.
WEIGHT OFF.
SPLIT FILE OFF.

VALUE LABELS CT_ROTACION
1'S'
2'No'.

FILTER BY cultiv_tran.

CTABLES
  /VLABELS VARIABLES=CT_ROTACION ct_k510h DISPLAY=LABEL
  /TABLE CT_ROTACION BY ct_k510h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=CT_ROTACION ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='SUPERFICIE SEMBRADA POR ROTACIN DE CULTIVO (ha)'  'C. TRANSITORIOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (6) LMINA 14: SUPERFICIE (ha) DE TIERRAS DE CULTIVO CON USO DE AGROINSUMOS.

*** ABRIR BASE DE CULTIVOS PERMANENTES ***.
filter off.
use all.
weight off.
split file off.

compute ORG = ((cp_forg = 1 OR cp_porg = 1) AND (cp_fqui = 2 AND cp_pqui = 2)). /* Uso orgnico puro.
compute QUI = ((cp_fqui = 1 OR cp_pqui = 1) AND (cp_forg = 2 AND cp_porg = 2)). /* Uso qumico puro.
compute NIN = (cp_forg = 2 AND cp_porg = 2 AND cp_fqui = 2 AND cp_pqui = 2). /* Uso sin agrosustancias.
compute TOD = ~(ORG = 1OR QUI = 1 OR NIN = 1). /* Uso con todas las agrosustancias.
FREQUENCIES ORG QUI NIN TOD.

VARIABLE LABELS ORG "Uso de insumos orgnicos".
VARIABLE LABELS QUI "Uso de insumos qumicos".
VARIABLE LABELS TOD "Uso de insumos orgnicos y qumicos".
VARIABLE LABELS NIN "No usan ningn tipo de insumo".
VALUE LABELS ORG QUI NIN TOD
0'No'
1'S'.

FILTER BY cultiv_perm.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ORG QUI TOD NIN cp_k409h DISPLAY=LABEL
  /TABLE ORG + QUI + TOD + NIN BY cp_k409h [SUM]
  /CATEGORIES VARIABLES=ORG [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=TOD [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=NIN [1] EMPTY=EXCLUDE
   /TITLES
    TITLE='SUPERFICIE CULTIVADA (ha) POR AGREGACIN DE AGROINSUMOS'  'C. PERMANENTES'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.


*** ABRIR BASE DE CULTIVOS TRANSITORIOS ***.
filter off.
use all.
weight off.
split file off.

compute ORG = ((ct_forg = 1 OR ct_porg = 1) AND (ct_fqui = 2 AND ct_pqui = 2)). /* Uso orgnico puro.
compute QUI = ((ct_fqui = 1 OR ct_pqui = 1) AND (ct_forg = 2 AND ct_porg = 2)). /* Uso qumico puro.
compute NIN = (ct_forg = 2 AND ct_porg = 2 AND ct_fqui = 2 AND ct_pqui = 2). /* Uso sin agrosustancias.
compute TOD = ~(ORG = 1OR QUI = 1 OR NIN = 1). /* Uso con todas las agrosustancias.
FREQUENCIES ORG QUI NIN TOD.

VARIABLE LABELS ORG "Uso de insumos orgnicos".
VARIABLE LABELS QUI "Uso de insumos qumicos".
VARIABLE LABELS TOD "Uso de insumos orgnicos y qumicos".
VARIABLE LABELS NIN "No usan ningn tipo de insumo".
VALUE LABELS ORG QUI NIN TOD
0'No'
1'S'.

FILTER BY cultiv_tran.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ORG QUI TOD NIN ct_k510h DISPLAY=LABEL
  /TABLE ORG + QUI + TOD + NIN BY ct_k510h [SUM]
  /CATEGORIES VARIABLES=ORG [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=QUI [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=TOD [1] EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=NIN [1] EMPTY=EXCLUDE
   /TITLES
    TITLE='SUPERFICIE SEMBRADA (ha) POR AGREGACIN DE AGROINSUMOS'  'C. TRANSITORIOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (7) LMINA 15: CULTIVOS PERMANENTES: USO DE PLAGUICIDAS POR GRADO DE TOXICIDAD.

*** ABRIR BASE DE CULTIVOS PERMANENTES ***.
filter off.
use all.
weight off.
split file off.

* cp_color_her_pq: Variable que guarda los colores-cdigo de etiquetas de envases de herbicidas qumicos (txicos).
* cp_color_ins_pq: Variable que guarda los colores-cdigo de etiquetas de envases de insecticidas qumicos (txicos).
* cp_color_fun_pq: Variable que guarda los colores-cdigo de etiquetas de envases de fungicidas qumicos (txicos).
* cp_color_pq: Variable que guarda los colores-cdigo de etiquetas de envases de otros plaguicidas qumicos (txicos).

FREQUENCIES cp_color_her_pq cp_color_ins_pq cp_color_fun_pq cp_color_pq.

* Recodificacin de categoria fantasma "0" a Missing.
RECODE cp_color_her_pq (0 = SYSMIS) (ELSE = COPY) INTO cp_color_her_pq_REC.
VARIABLE LABELS cp_color_her_pq_REC "Color de etiqueta del envase de Herbicida RECODIFICADA".
VALUE LABELS cp_color_her_pq_REC 1'Rojo'
2'Amarillo'
3'Azul'
4'Verde'
5'No sabe'.

* Recodificacin de categoria fantasma "0" a Missing.
RECODE cp_color_ins_pq (0 = SYSMIS) (ELSE = COPY) INTO cp_color_ins_pq_REC.
VARIABLE LABELS cp_color_ins_pq_REC "Color de etiqueta del envase de Insecticida RECODIFICADA".
VALUE LABELS cp_color_ins_pq_REC 1'Rojo'
2'Amarillo'
3'Azul'
4'Verde'
5'No sabe'.

* Recodificacin de categoria fantasma "0" a Missing.
RECODE cp_color_fun_pq (0 = SYSMIS) (ELSE = COPY) INTO cp_color_fun_pq_REC.
VARIABLE LABELS cp_color_fun_pq_REC "Color de etiqueta del envase de Fungicida RECODIFICADA".
VALUE LABELS cp_color_fun_pq_REC 1'Rojo'
2'Amarillo'
3'Azul'
4'Verde'
5'No sabe'.

* Recodificacin de categoria fantasma "0" a Missing.
RECODE cp_color_pq (0 = SYSMIS) (ELSE = COPY) INTO cp_color_pq_REC.
VARIABLE LABELS cp_color_pq_REC "Color de etiqueta del envase de Otros RECODIFICADA".
VALUE LABELS cp_color_pq_REC 1'Rojo'
2'Amarillo'
3'Azul'
4'Verde'
5'No sabe'.

FILTER BY cultiv_perm.

WEIGHT OFF.

CTABLES
  /VLABELS VARIABLES=cp_color_her_pq_REC cp_color_ins_pq_REC cp_color_fun_pq_REC cp_color_pq_REC 
    DISPLAY=LABEL
  /TABLE BY cp_color_her_pq_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + cp_color_ins_pq_REC 
    [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + cp_color_fun_pq_REC [C][COUNT F40.0, LAYERPCT.VALIDN 
    PCT40.1] + cp_color_pq_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=cp_color_her_pq_REC cp_color_ins_pq_REC cp_color_fun_pq_REC cp_color_pq_REC 
    ORDER=A KEY=VALUE EMPTY=INCLUDE
   /TITLES
    TITLE='CASOS DE PP QUE USAN PLAGUICIDAS QUMICOS, SEGN TIPO DE PLAGUICIDA Y COLOR DE ETIQUETA DEL ENVASE'  'C. PERMANENTES'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (8) LMINA 16: CULTIVOS TRANSITORIOS: USO DE PLAGUICIDAS POR GRADO DE TOXICIDAD.

*** ABRIR BASE DE CULTIVOS TRANSITORIOS ***.
filter off.
use all.
weight off.
split file off.

* ct_color_her_pq: Variable que guarda los colores-cdigo de etiquetas de envases de herbicidas qumicos (txicos).
* ct_color_ins_pq: Variable que guarda los colores-cdigo de etiquetas de envases de insecticidas qumicos (txicos).
* ct_color_fun_pq: Variable que guarda los colores-cdigo de etiquetas de envases de fungicidas qumicos (txicos).
* ct_color_pq: Variable que guarda los colores-cdigo de etiquetas de envases de otros plaguicidas qumicos (txicos).

FREQUENCIES ct_color_her_pq ct_color_ins_pq ct_color_fun_pq ct_color_pq.

* Recodificacin de categoria fantasma "0" a Missing.
RECODE ct_color_her_pq (0 = SYSMIS) (ELSE = COPY) INTO ct_color_her_pq_REC.
VARIABLE LABELS ct_color_her_pq_REC "Color de etiqueta del envase de Herbicida RECODIFICADA".
VALUE LABELS ct_color_her_pq_REC 1'Rojo'
2'Amarillo'
3'Azul'
4'Verde'
5'No sabe'.

* Recodificacin de categoria fantasma "0" a Missing.
RECODE ct_color_ins_pq (0 = SYSMIS) (ELSE = COPY) INTO ct_color_ins_pq_REC.
VARIABLE LABELS ct_color_ins_pq_REC "Color de etiqueta del envase de Insecticida RECODIFICADA".
VALUE LABELS ct_color_ins_pq_REC 1'Rojo'
2'Amarillo'
3'Azul'
4'Verde'
5'No sabe'.

* Recodificacin de categoria fantasma "0" a Missing.
RECODE ct_color_fun_pq (0 = SYSMIS) (ELSE = COPY) INTO ct_color_fun_pq_REC.
VARIABLE LABELS ct_color_fun_pq_REC "Color de etiqueta del envase de Fungicida RECODIFICADA".
VALUE LABELS ct_color_fun_pq_REC 1'Rojo'
2'Amarillo'
3'Azul'
4'Verde'
5'No sabe'.

* Recodificacin de categoria fantasma "0" a Missing.
RECODE ct_color_pq (0 = SYSMIS) (ELSE = COPY) INTO ct_color_pq_REC.
VARIABLE LABELS ct_color_pq_REC "Color de etiqueta del envase de Otros RECODIFICADA".
VALUE LABELS ct_color_pq_REC 1'Rojo'
2'Amarillo'
3'Azul'
4'Verde'
5'No sabe'.

FILTER BY cultiv_tran.

WEIGHT OFF.

CTABLES
  /VLABELS VARIABLES=ct_color_her_pq_REC ct_color_ins_pq_REC ct_color_fun_pq_REC ct_color_pq_REC 
    DISPLAY=LABEL
  /TABLE BY ct_color_her_pq_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + ct_color_ins_pq_REC 
    [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + ct_color_fun_pq_REC [C][COUNT F40.0, LAYERPCT.VALIDN 
    PCT40.1] + ct_color_pq_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=ct_color_her_pq_REC ct_color_ins_pq_REC ct_color_fun_pq_REC ct_color_pq_REC 
    ORDER=A KEY=VALUE EMPTY=INCLUDE
   /TITLES
    TITLE='CASOS DE PP QUE USAN PLAGUICIDAS QUMICOS, SEGN TIPO DE PLAGUICIDA Y COLOR DE ETIQUETA DEL ENVASE'  'C. TRANSITORIOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (9) LMINA 18: CRITERIOS DE COMPRA PARA AGROQUMICOS.

*** ABRIR BASE DE PLAGUICIDAS ***.
filter off.
use all.
weight off.
split file off.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_princrit (0 = SYSMIS) (ELSE = COPY) INTO plag_princrit_REC.
VARIABLE LABELS plag_princrit_REC "Principal criterio para compra de agroquimicos".
VALUE LABELS plag_princrit_REC 1'Precio'
2'Menos peligroso'
3'Ms eficaz'
4'Por sugerencias tecnicas'.

* Grfico NACIONAL.
CTABLES
  /VLABELS VARIABLES=plag_princrit_REC DISPLAY=LABEL
  /TABLE BY plag_princrit_REC [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_princrit_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
   /TITLES
    TITLE='CRITERIOS PRINCIPALES QUE LAS PERSONAS PRODUCTORAS (PP) CONSIDERAN PARA COMPRAR AGROQUMICOS'  'NACIONAL'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

* Recodificacin del nivel de instruccin de la Persona Productora (PP).
RECODE cg_k102 (9 = SYSMIS) (ELSE = COPY) INTO nivel_inst.
FREQUENCIES nivel_inst.
RECODE nivel_inst (7=1) (1,5 = 2) (2,6 = 3) (3 = 4) (4 = 5) (ELSE = COPY).
VARIABLE LABELS nivel_inst "Nivel de instruccin de la PP (recodificado)".
VALUE LABELS nivel_inst 1'Ninguna'
2'Primaria / Educacin bsica'
3'Secundaria / Educacin Media'
4'Superior'
5'Posgrado'.

FREQUENCIES nivel_inst.

* Grfico por Nivel Educativo.
CTABLES
  /VLABELS VARIABLES=nivel_inst plag_princrit_REC DISPLAY=LABEL
  /TABLE nivel_inst [C] BY plag_princrit_REC [C][COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=nivel_inst plag_princrit_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES 
    POSITION=AFTER
   /TITLES
    TITLE='CRITERIOS PRINCIPALES QUE LAS PERSONAS PRODUCTORAS (PP) CONSIDERAN PARA COMPRAR AGROQUMICOS, ' +
'POR NIVEL DE INSTRUCCIN Y SEGN CRITERIO DE COMPRA'  'NACIONAL'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (10) LMINA 19: PERSONAS CAPACITADAS EN EL USO Y MANEJO DE AGROQUMICOS.

*** ABRIR BASE DE PLAGUICIDAS ***.

filter off.
use all.
weight off.
split file off.

COMPUTE capacita_agroq = (plag_recicapa = 1 OR plag_recicapaf = 1).
VARIABLE LABELS capacita_agroq "PP que se han capacitado en uso de agroqumicos".
VALUE LABELS capacita_agroq 0'No' 1'S'.

CTABLES
  /VLABELS VARIABLES=capacita_agroq DISPLAY=LABEL
  /TABLE capacita_agroq [COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=capacita_agroq ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='PERSONAS PRODUCTORAS (PP) QUE SE CAPACITARON EN EL USO DE AGROQUMICOS DURANTE EL 2015' 'NACIONAL'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (11) LMINA 20: NECESIDADES DE INFORMACIN.

*** ABRIR BASE DE PLAGUICIDAS ***.

filter off.
use all.
weight off.
split file off.

RECODE plag_imparte (0 = SYSMIS) (ELSE = COPY) INTO plag_imparte_REC.

CTABLES
  /VLABELS VARIABLES=plag_imparte_REC DISPLAY=LABEL
  /TABLE plag_imparte_REC [COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=plag_imparte_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='INFORMACIN QUE LAS PERSONAS PRODUCTORAS (PP) CONSIDERAN QUE SE DEBE IMPARTIR EN CAPACITACIONES' 'NACIONAL'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (12) LMINA 21: APLICACIN DE AGROQUMICOS.

*** ABRIR BASE DE PLAGUICIDAS ***.

filter off.
use all.
weight off.
split file off.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_aplplag (0 = SYSMIS) (ELSE = COPY) INTO plag_aplplag_REC.
VARIABLE LABELS plag_aplplag_REC "Principal persona que realiza la aplicacin del producto".
VALUE LABELS plag_aplplag_REC 1'Productor o agricultor'
2'Un miembro de la familia'
3'Jornalera o pen'
4'Tcnico especializado'.

CTABLES
  /VLABELS VARIABLES=plag_aplplag_REC DISPLAY=LABEL
  /TABLE BY plag_aplplag_REC [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_aplplag_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='QUIN ES LA PERSONA QUE REALIZALA APLICACIN DE AGROQUMICOS' 
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (13) LMINA 22: PERSONAS PRODUCTORAS QUE REALIZARON ANLISIS DE SUELOS.

*** ABRIR BASE DE PLAGUICIDAS ***.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_anatierra (0 = SYSMIS) (ELSE = COPY) INTO plag_anatierra_REC.
VARIABLE LABELS plag_anatierra_REC "Hace cunto realiz el ltimo anlisis de tierra?".
VALUE LABELS plag_anatierra_REC 1'Hace menos de un ao'
2'Hace 1 a 2 aos'
3'Nunca'.

* Grfico Izquierdo.
CTABLES
  /VLABELS VARIABLES=plag_anatierra_REC DISPLAY=LABEL
  /TABLE BY plag_anatierra_REC [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_anatierra_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE REALIZARON ANLISIS DE SUELOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.


* Grfico Derecho.
CTABLES
  /VLABELS VARIABLES=plag_anatierra_REC nivel_inst DISPLAY=LABEL
  /TABLE plag_anatierra_REC [COUNT F40.0, COLPCT.VALIDN PCT40.1] BY nivel_inst
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_anatierra_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=nivel_inst ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE REALIZARON ANLISIS DE SUELOS, SEGN NIVEL DE INSTRUCCIN DE LA PP.'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (14) LMINA 23: PRCTICAS DE USO DE AGROQUMICOS.

*** ABRIR BASE DE PLAGUICIDAS ***.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_sinleer (0 = SYSMIS) (ELSE = COPY) INTO plag_sinleer_REC.
VARIABLE LABELS plag_sinleer_REC "Mezcla o aplica el producto sin leer primero la etiqueta?".
VALUE LABELS plag_sinleer_REC 1'S' 2'No'.

CTABLES
  /VLABELS VARIABLES=plag_sinleer_REC DISPLAY=LABEL
  /TABLE BY plag_sinleer_REC [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_sinleer_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE MEZCLAN O APLICAN AGROQUMICOS SIN LEER PRIMERO LA ETIQUETA DE TOXICIDAD'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (15) LMINA 24: PERSONAS PRODUCTORAS QUE PRACTICAN EL TRIPLE LAVADO DE ENVASES DE AGROQUMICOS.

*** ABRIR BASE DE PLAGUICIDAS ***.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_triplelav (0 = SYSMIS) (ELSE = COPY) INTO plag_triplelav_REC.
VARIABLE LABELS plag_triplelav_REC "Realiza triple lavado a los envases vacos?".
VALUE LABELS plag_triplelav_REC 1'S' 2'No'.

CTABLES
  /VLABELS VARIABLES=plag_triplelav_REC DISPLAY=LABEL
  /TABLE BY plag_triplelav_REC [C][COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_triplelav_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='PERSONAS PRODUCTORAS QUE REALIZAN TRIPLE LAVADO A LOS ENVASES VACOS DE AGROQUMICOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (16) LMINA 25: TRIPLE LAVADO DE ENVASES,SEGN NIVEL DE INSTRUCCIN.

CTABLES
  /VLABELS VARIABLES=nivel_inst plag_triplelav_REC DISPLAY=LABEL
  /TABLE nivel_inst [C][COUNT F40.0, ROWPCT.VALIDN PCT40.1] BY plag_triplelav_REC
  /CATEGORIES VARIABLES=nivel_inst ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /CATEGORIES VARIABLES=plag_triplelav_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (17) LMINA 26: DESTINO FINAL DE LOS ENVASES DE AGROQUMICOS.

*** ABRIR BASE DE PLAGUICIDAS ***.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_envent (0 = SYSMIS) (ELSE = COPY) INTO plag_envent_REC.
VARIABLE LABELS plag_envent_REC "Principalmente que hace usted con el envase vaco?".
VALUE LABELS plag_envent_REC 1'Entierra'
2'Quema'
3'Desecha'
4'Gestiona'.

* Grfico 1: Superior.
CTABLES
  /VLABELS VARIABLES=plag_envent_REC DISPLAY=LABEL
  /TABLE BY plag_envent_REC [COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_envent_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='Principalmente, qu hace la PP con los envases vacos' 
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_comoque (0 = SYSMIS) (ELSE = COPY) INTO plag_comoque_REC.
VARIABLE LABELS plag_comoque_REC "Cmo lo hace (quemar el envase vaco)?".
VALUE LABELS plag_comoque_REC 1'A cielo abierto'
2'Incinerador de alta temperatura'.

* Grfico 2: Inferior izquierdo.
CTABLES
  /VLABELS VARIABLES=plag_comoque_REC DISPLAY=LABEL
  /TABLE BY plag_comoque_REC [COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_comoque_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='Cmo queman los envases' 
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_comotira (0 = SYSMIS) (ELSE = COPY) INTO plag_comotira_REC.
VARIABLE LABELS plag_comotira_REC "Cmo lo hace (desechar el envase vaco)?".
VALUE LABELS plag_comotira_REC 1'En el campo'
2'En la basura comn'
3'En bolsas separadas'.

* Grfico 3: Inferior centroizquierdo.
CTABLES
  /VLABELS VARIABLES=plag_comotira_REC DISPLAY=LABEL
  /TABLE BY plag_comotira_REC [COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_comotira_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='Cmo desechan los envases' 
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_comogest (0 = SYSMIS) (ELSE = COPY) INTO plag_comogest_REC.
VARIABLE LABELS plag_comogest_REC "Cmo lo hace (gestionar el envase vaco)?".
VALUE LABELS plag_comogest_REC 1'Reutiliza'
2'Centro de acopio'
3'Entrega a la casa comercial'.

* Grfico 4: Inferior centroderecho.
CTABLES
  /VLABELS VARIABLES=plag_comogest_REC DISPLAY=LABEL
  /TABLE BY plag_comogest_REC [COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_comogest_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='Cmo gestionan los envases' 
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_comoent (0 = SYSMIS) (ELSE = COPY) INTO plag_comoent_REC.
VARIABLE LABELS plag_comoent_REC "Cmo lo hace (enterrar el envase vaco)?".
VALUE LABELS plag_comoent_REC 1'En lugares diferentes'
2'Lugar determinado identificado'.

* Grfico 5: Inferior derecho.
CTABLES
  /VLABELS VARIABLES=plag_comoent_REC DISPLAY=LABEL
  /TABLE BY plag_comoent_REC [COUNT F40.0, ROWPCT.COUNT PCT40.1]
 /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=plag_comoent_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
 /TITLES
    TITLE='Cmo entierran los envases' 
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (18) LMINA 28: SUPERFICIE BAJO RIEGO.

* 18.1 PARA CULTIVOS PERMANENTES NICAMENTE.
* ABRIR BASE DE CULTIVOS PERMANENTES.

WEIGHT OFF.
FILTER OFF.

COMPUTE cultiv_perm_riego = (cultiv_perm = 1 & cp_riego = 1).
FREQUENCIES cultiv_perm_riego.

filter by cultiv_perm_riego.
WEIGHT by fact_exp_fin.

* En la parte SUMA de esta tabla aparece la suma de los cultivos permanentes con riego.
DESCRIPTIVES VARIABLES=cp_k409h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

USE ALL.
FILTER BY cultiv_perm.

SORT CASES BY cp_riego.
SPLIT FILE SEPARATE BY cp_riego.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=cp_clacul cp_k409h DISPLAY=LABEL
  /TABLE cp_clacul BY cp_k409h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=cp_clacul ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) CON RIEGO, POR TIPO DE CULTIVO' 'CULTIVOS PERMANENTES'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

* 18.2 EN PASTOS CULTIVADOS.

WEIGHT OFF.
FILTER OFF.

COMPUTE pastos_cultiv_perm_riego = (pastos_cultiv = 1 & cp_riego = 1).
FREQUENCIES pastos_cultiv_perm_riego.

filter by pastos_cultiv_perm_riego.
WEIGHT by fact_exp_fin.

* En la parte SUMA de esta tabla aparece la suma de los pastos cultivados con riego.
DESCRIPTIVES VARIABLES=cp_k409h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

USE ALL.
FILTER BY pastos_cultiv.

SORT CASES BY cp_riego.
SPLIT FILE SEPARATE BY cp_riego.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=cp_clacul cp_k409h DISPLAY=LABEL
  /TABLE cp_clacul BY cp_k409h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=cp_clacul ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) CON RIEGO, POR TIPO DE CULTIVO' 'PASTOS CULTIVADOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

FILTER OFF.
USE ALL.
SPLIT FILE OFF.
WEIGHT OFF.

* 18.3 PARA CULTIVOS TRANSITORIOS.
*ABRIR BASE CULTIVOS TRANSITORIOS.

WEIGHT OFF.
FILTER OFF.

COMPUTE cultiv_tran_riego = (cultiv_tran = 1 & ct_riego = 1).
FREQUENCIES cultiv_tran_riego.

filter by cultiv_tran_riego.
WEIGHT by fact_exp_fin.

* En la parte SUMA de esta tabla aparece la suma de los cultivos transitorios con riego.
DESCRIPTIVES VARIABLES=ct_k510h
  /STATISTICS=MEAN SUM STDDEV MIN MAX.

USE ALL.
FILTER BY cultiv_tran.

SORT CASES BY ct_riego.
SPLIT FILE SEPARATE BY ct_riego.

WEIGHT BY fact_exp_fin.

CTABLES
  /VLABELS VARIABLES=ct_clacul ct_k510h DISPLAY=LABEL
  /TABLE ct_clacul BY ct_k510h [SUM, COLPCT.SUM PCT40.1]
  /CATEGORIES VARIABLES=ct_clacul ORDER=A KEY=VALUE EMPTY=EXCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='SUPERFICIE PLANTADA (ha) CON RIEGO, POR TIPO DE CULTIVO' 'CULTIVOS TRANSITORIOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

FILTER OFF.
USE ALL.
SPLIT FILE OFF.
WEIGHT OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.

* (19) LMINA 29: FUENTES DE AGUA.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_exisfuen (0 = SYSMIS) (ELSE = COPY) INTO plag_exisfuen_REC.
VARIABLE LABELS plag_exisfuen_REC "Existen fuentes de agua cercanas (menos de 200m) al lugar de aplicacin de agroqumicos?".
VALUE LABELS plag_comotira_REC 1'S'
2'No'.

CTABLES
  /VLABELS VARIABLES=plag_exisfuen_REC DISPLAY=LABEL
  /TABLE plag_exisfuen_REC[COUNT F40.0, COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=plag_exisfuen_REC ORDER=A KEY=VALUE EMPTY=INCLUDE TOTAL=YES POSITION=AFTER
  /TITLES
    TITLE='TERRENOS QUE CUENTAN CON FUENTES DE AGUA CERCANAS AL LUGAR DE APLICACIN DE AGROQUMICOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

SORT CASES BY plag_exisfuen.
SPLIT FILE SEPARATE BY plag_exisfuen.

* Recodificacin de categoria fantasma "0" a SYSMIS.
RECODE plag_fpesca (0 = SYSMIS) (ELSE = COPY) INTO plag_fpesca_REC.
RECODE plag_friego (0 = SYSMIS) (ELSE = COPY) INTO plag_friego_REC.
RECODE plag_fbebedero (0 = SYSMIS) (ELSE = COPY) INTO plag_fbebedero_REC.
RECODE plag_fconsuhuma (0 = SYSMIS) (ELSE = COPY) INTO plag_fconsuhuma_REC.
RECODE plag_frecrea(0 = SYSMIS) (ELSE = COPY) INTO plag_frecrea_REC.

CTABLES
  /VLABELS VARIABLES=plag_fpesca_REC plag_friego_REC plag_fbebedero_REC plag_fconsuhuma_REC plag_frecrea_REC DISPLAY=LABEL
  /TABLE BY plag_fpesca_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + plag_friego_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] +
plag_fbebedero_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] + plag_fconsuhuma_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1] +
plag_frecrea_REC [C][COUNT F40.0, LAYERPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=plag_fpesca_REC plag_friego_REC plag_fbebedero_REC plag_fconsuhuma_REC plag_frecrea_REC ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='USOS DE LAS FUENTES DE AGUA CERCANAS AL LUGAR DE APLICACIN DE AGROQUMICOS'
    CAPTION='INSTITUTO NACIONAL DE ESTADSTICA Y CENSOS (INEC) ESPAC - MODULO AMBIENTAL - 2014.

SPLIT FILE OFF.

*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
*** FIN DE LA SINTAXIS ***
*------------------------------------------------------------------------------------------------------------------------------------------------------------------------.




